Subject: Re: [6tisch] Default algorithm candidates

From: "Prof. Diego Dujovne" <[email-masked]>
Date: Mon, 20 Jan 2014 18:56:46 -0200

Qin,
        I mean it can request 6top to schedule cells one
by one, without Bundles. Of course, a single cell Bundle
is a possibility, but I cannot imagine an application for it.
Regards,

                        Diego

2013/12/21 Qin Wang <[email-masked]>

> Hi Diego,
>
> What do you mean by "single cell scheduling"?
>
> Thanks
> Qin
>
>
> On Fri, Dec 20, 2013 at 12:10 PM, Prof. Diego Dujovne <
> [email-masked]> wrote:
>
>> Dear all,
>>            I recalled two algorithms which were on
>> the ML in order to discuss Thomas' proposal to define the default
>> OTF algorithm (Issue #14 on Bitbucket). These are:
>>
>> Algorithm A (Pascal's contribution)
>>
>> - Queue behavior as input parameters. Whenever a predefined threshold is
>> reached, the bundle size increases:
>>
>> - Queue size at Enqueue (more traffic waiting)
>>
>> - Latency at Dequeue (very slow transmission)
>>
>>  Here, bundle size depends on queue size values. Individual cells within
>> the bundle should be
>>
>> managed inside OTF for very fast response.
>>
>> *DD:Since 6top has currently implemented only single cell scheduling,
>> Algorithm A can be converted to that mode. *
>>
>> Algorithm B (Prof. Pister's contribution)
>>
>> - Knowledge of node self-requirements: The node knows:
>>
>> - its own desired bandwidth (in cells/s) to the destination
>>
>> Desired bandwidth can change on application performance (e.g. round-trip
>> latency) or MAC performance (measured PDR, queue length)
>>
>> - incoming bandwidth from children (cells/s)
>>
>> - outgoing bandwidth to parents (cells/s)
>>
>> As a result, a proposed algorithm would be:
>>
>> - if (outgoing<incoming+self) pick best parent and add new cell
>> - if (outgoing>incoming+self+1) pick the worst cell and delete it
>>
>> *DD:Algorithm B uses only single cell scheduling.*
>>
>> What do you think about them?
>>
>> Do you have any other algorithm candidate(s) for a simple baseline OTF
>> behaviour?
>>
>>
>>                                Diego
>>
>> --
>> DIEGO DUJOVNE
>> Académico Escuela de Ingeniería en Informática y Telecomunicaciones
>> Facultad de Ingeniería UDP
>> www.ingenieria.udp.cl
>> (56 2) 676 8125
>>
>> _______________________________________________
>> 6tisch mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/6tisch
>>
>>
>

-- 
DIEGO DUJOVNE
Académico Escuela de Ingeniería en Informática y Telecomunicaciones
Facultad de Ingeniería UDP
www.ingenieria.udp.cl
(56 2) 676 8125